## MateCanvasPolygon MateCanvasPolygon — Polygon canvas item |

## Synopsis

    #include <libmatecanvas/libmatecanvas.h>

    struct              MateCanvasPolygon;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----MateCanvasItem
                         +----MateCanvasShape
                               +----MateCanvasPolygon

## Properties

      "points"                   MateCanvasPoints*    : Read / Write

## Description

A canvas item for drawing polygon (multi sided) shapes.

## Details

### struct MateCanvasPolygon

    struct MateCanvasPolygon;

This structure should not be accessed directly. Use the object's properties for querying or changing its parameters.

## Property Details

### The `"points"` property

      "points"                   MateCanvasPoints*    : Read / Write

Pointer to a MateCanvasPoints structure. This can be created by a call to `mate_canvas_points_new()`.